Editar una instrucción existente
curl --request PATCH \
--url https://api-prod.studio.getsupervisor.ai/v1/agents/{agentId}/versions/{versionId}/instructions/{instructionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-workspace-id: <x-workspace-id>' \
--data '
{
"order": 1,
"content": "<string>"
}
'import requests
url = "https://api-prod.studio.getsupervisor.ai/v1/agents/{agentId}/versions/{versionId}/instructions/{instructionId}"
payload = {
"order": 1,
"content": "<string>"
}
headers = {
"x-workspace-id": "<x-workspace-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-workspace-id': '<x-workspace-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({order: 1, content: '<string>'})
};
fetch('https://api-prod.studio.getsupervisor.ai/v1/agents/{agentId}/versions/{versionId}/instructions/{instructionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"versionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"order": 123,
"content": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"details": {
"subcode": "<string>",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"code": "<string>",
"message": "<string>",
"details": {
"subcode": "<string>",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Agent Instructions
Editar una instrucción existente
PATCH
/
v1
/
agents
/
{agentId}
/
versions
/
{versionId}
/
instructions
/
{instructionId}
Editar una instrucción existente
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Identificador del workspace multi-tenant.
Path Parameters
Identificador del agente
Identificador de la versión del agente
Identificador de la instrucción
Body
application/json
Response
Instrucción actualizada
Texto libre que guía el comportamiento del agente.
Required string length:
1 - 500Controla si la instrucción está habilitada para el agente.
Available options:
active, inactive Timestamp de borrado suave. Nulo cuando la instrucción sigue disponible.
⌘I
